## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanAVTPartSimpleAllocator Class Reference

List of all members.

## Public Types

- typedef AVTPartSimple data_type
- typedef ArenaAllocator< data_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XalanAVTPartSimpleAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XalanAVTPartSimpleAllocator ()
- data_type * create (StylesheetConstructionContext &constructionContext, const XalanDOMChar *val, XalanDOMString::size_type len)
    Create an instance.
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all objects from the allocator.
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated.
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block.

## Member Typedef Documentation

typedef ArenaAllocator<data_type> XalanAVTPartSimpleAllocator::ArenaAllocatorType

typedef AVTPartSimple XalanAVTPartSimpleAllocator::data_type

typedef ArenaAllocatorType::size_type XalanAVTPartSimpleAllocator::size_type

## Constructor & Destructor Documentation

XalanAVTPartSimpleAllocator::XalanAVTPartSimpleAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanAVTPartSimpleAllocator::~XalanAVTPartSimpleAllocator | ( |  | ) |

## Member Function Documentation

data_type* XalanAVTPartSimpleAllocator::create | ( | StylesheetConstructionContext & | constructionContext,
|  | const XalanDOMChar * | val,
|  | XalanDOMString::size_type | len
| ) |

Create an instance.

Parameters:

  constructionContext | context when object constructed
  val | A pure string section of an AVT
  len | The length of val

Returns:
  A pointer to the new instance.

size_type XalanAVTPartSimpleAllocator::getBlockCount | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

size_type XalanAVTPartSimpleAllocator::getBlockSize | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

bool XalanAVTPartSimpleAllocator::ownsObject | ( | const data_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XalanAVTPartSimpleAllocator::reset | ( |  | ) |

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanAVTPartSimpleAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.